List paper check templates
curl --request GET \
--url https://api.dualentry.com/public/v3-alpha/paper-check-templates/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v3-alpha/paper-check-templates/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v3-alpha/paper-check-templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v3-alpha/paper-check-templates/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v3-alpha/paper-check-templates/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v3-alpha/paper-check-templates/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v3-alpha/paper-check-templates/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "",
"created_by_id": 123,
"modified_by_id": 123,
"page_settings": {
"page_size": {
"width": 8.5,
"height": 11
},
"margins": {
"top": 0.15,
"right": 0.25,
"bottom": 0.15,
"left": 0.25
},
"check_offset_y": 0.35,
"line_spacing": 15,
"font_size": 9
},
"block_positions": {
"check_date": {
"id": "check-date",
"content": "date",
"x": 680,
"y": 78,
"width": 107,
"height": 20,
"font_size": 9
},
"check_payee_name": {
"id": "check-payee-name",
"content": "vendor_name",
"x": 115,
"y": 116,
"width": 160,
"height": 20,
"font_size": 9
},
"check_amount_numeric": {
"id": "check-amount-numeric",
"content": "amount_numeric",
"x": 670,
"y": 115,
"width": 100,
"height": 20,
"font_size": 9
},
"check_amount_alpha": {
"id": "check-amount-alpha",
"content": "amount_alpha",
"x": 47,
"y": 143,
"width": 610,
"height": 20,
"font_size": 9
},
"check_vendor_address": {
"id": "check-vendor-address",
"content": "vendor_address_block",
"x": 65,
"y": 169,
"width": 307,
"height": 90,
"font_size": 9
},
"check_record_memo": {
"id": "check-record-memo",
"content": "memo",
"x": 92,
"y": 253,
"width": 333,
"height": 20,
"font_size": 9
},
"check_number_top": {
"id": "check-number-top",
"content": "check_number",
"x": 697,
"y": 357,
"width": 66,
"height": 28,
"font_size": 9
},
"stub1_check_number": {
"id": "stub1-check-number",
"content": "check_number",
"x": 685,
"y": 575,
"width": 100,
"height": 20,
"font_size": 9
},
"stub1_date": {
"id": "stub1-date",
"content": "date",
"x": 74,
"y": 360,
"width": 107,
"height": 20,
"font_size": 9
},
"stub1_vendor": {
"id": "stub1-vendor",
"content": "vendor_name",
"x": 188,
"y": 360,
"width": 160,
"height": 20,
"font_size": 9
},
"stub1_record_number": {
"id": "stub1-record-number",
"content": "record_number",
"x": 229,
"y": 408,
"width": 133,
"height": 20,
"font_size": 9
},
"stub1_record_number_label": {
"id": "stub1-record-number-label",
"content": "Record number",
"x": 50,
"y": 408,
"width": 120,
"height": 20,
"font_size": 9
},
"stub1_amount_paid": {
"id": "stub1-amount-paid",
"content": "amount_paid",
"x": 587,
"y": 408,
"width": 67,
"height": 20,
"font_size": 9
},
"stub1_amount_paid_label": {
"id": "stub1-amount-paid-label",
"content": "Amount paid",
"x": 408,
"y": 408,
"width": 120,
"height": 20,
"font_size": 9
},
"stub1_record_date": {
"id": "stub1-record-date",
"content": "record_date",
"x": 229,
"y": 428,
"width": 133,
"height": 20,
"font_size": 9
},
"stub1_record_date_label": {
"id": "stub1-record-date-label",
"content": "Record date",
"x": 50,
"y": 428,
"width": 120,
"height": 20,
"font_size": 9
},
"stub1_amount_due": {
"id": "stub1-amount-due",
"content": "amount_due",
"x": 587,
"y": 428,
"width": 67,
"height": 20,
"font_size": 9
},
"stub1_amount_due_label": {
"id": "stub1-amount-due-label",
"content": "Amount due",
"x": 408,
"y": 428,
"width": 120,
"height": 20,
"font_size": 9
},
"stub1_memo": {
"id": "stub1-memo",
"content": "memo",
"x": 74,
"y": 610,
"width": 333,
"height": 20,
"font_size": 9
},
"stub1_amount_numeric": {
"id": "stub1-amount-numeric",
"content": "amount_numeric",
"x": 690,
"y": 610,
"width": 100,
"height": 20,
"font_size": 9
},
"stub1_check_number_bottom": {
"id": "stub1-check-number-bottom",
"content": "check_number",
"x": 697,
"y": 689,
"width": 66,
"height": 28,
"font_size": 9
},
"stub2_check_number": {
"id": "stub2-check-number",
"content": "check_number",
"x": 690,
"y": 946,
"width": 100,
"height": 20,
"font_size": 9
},
"stub2_date": {
"id": "stub2-date",
"content": "date",
"x": 74,
"y": 696,
"width": 107,
"height": 20,
"font_size": 9
},
"stub2_vendor": {
"id": "stub2-vendor",
"content": "vendor_name",
"x": 188,
"y": 696,
"width": 160,
"height": 20,
"font_size": 9
},
"stub2_record_number": {
"id": "stub2-record-number",
"content": "record_number",
"x": 229,
"y": 744,
"width": 133,
"height": 20,
"font_size": 9
},
"stub2_record_number_label": {
"id": "stub2-record-number-label",
"content": "Record number",
"x": 50,
"y": 744,
"width": 120,
"height": 20,
"font_size": 9
},
"stub2_amount_paid": {
"id": "stub2-amount-paid",
"content": "amount_paid",
"x": 587,
"y": 744,
"width": 67,
"height": 20,
"font_size": 9
},
"stub2_amount_paid_label": {
"id": "stub2-amount-paid-label",
"content": "Amount paid",
"x": 408,
"y": 744,
"width": 120,
"height": 20,
"font_size": 9
},
"stub2_record_date": {
"id": "stub2-record-date",
"content": "record_date",
"x": 229,
"y": 764,
"width": 133,
"height": 20,
"font_size": 9
},
"stub2_record_date_label": {
"id": "stub2-record-date-label",
"content": "Record date",
"x": 50,
"y": 764,
"width": 120,
"height": 20,
"font_size": 9
},
"stub2_amount_due": {
"id": "stub2-amount-due",
"content": "amount_due",
"x": 587,
"y": 764,
"width": 67,
"height": 20,
"font_size": 9
},
"stub2_amount_due_label": {
"id": "stub2-amount-due-label",
"content": "Amount due",
"x": 408,
"y": 764,
"width": 120,
"height": 20,
"font_size": 9
},
"stub2_memo": {
"id": "stub2-memo",
"content": "memo",
"x": 74,
"y": 981,
"width": 333,
"height": 20,
"font_size": 9
},
"stub2_amount_numeric": {
"id": "stub2-amount-numeric",
"content": "amount_numeric",
"x": 690,
"y": 981,
"width": 100,
"height": 20,
"font_size": 9
},
"stub2_check_number_bottom": {
"id": "stub2-check-number-bottom",
"content": "check_number",
"x": 697,
"y": 689,
"width": 66,
"height": 28,
"font_size": 9
}
},
"sample_data": {
"date": "<string>",
"vendor_name": "<string>",
"amount_numeric": "<string>",
"amount_alpha": "<string>",
"address_block": "<string>",
"check_number": "<string>",
"record_number": "<string>",
"amount_paid": "<string>",
"record_date": "<string>",
"amount_due": "<string>",
"memo": "<string>"
}
}
],
"count": 123
}Paper Check Templates
List paper check templates
List the paper check templates of your organization. Read one template by its id with the get route.
GET
/
public
/
v3-alpha
/
paper-check-templates
/
List paper check templates
curl --request GET \
--url https://api.dualentry.com/public/v3-alpha/paper-check-templates/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v3-alpha/paper-check-templates/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v3-alpha/paper-check-templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v3-alpha/paper-check-templates/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v3-alpha/paper-check-templates/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v3-alpha/paper-check-templates/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v3-alpha/paper-check-templates/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": 123,
"name": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "",
"created_by_id": 123,
"modified_by_id": 123,
"page_settings": {
"page_size": {
"width": 8.5,
"height": 11
},
"margins": {
"top": 0.15,
"right": 0.25,
"bottom": 0.15,
"left": 0.25
},
"check_offset_y": 0.35,
"line_spacing": 15,
"font_size": 9
},
"block_positions": {
"check_date": {
"id": "check-date",
"content": "date",
"x": 680,
"y": 78,
"width": 107,
"height": 20,
"font_size": 9
},
"check_payee_name": {
"id": "check-payee-name",
"content": "vendor_name",
"x": 115,
"y": 116,
"width": 160,
"height": 20,
"font_size": 9
},
"check_amount_numeric": {
"id": "check-amount-numeric",
"content": "amount_numeric",
"x": 670,
"y": 115,
"width": 100,
"height": 20,
"font_size": 9
},
"check_amount_alpha": {
"id": "check-amount-alpha",
"content": "amount_alpha",
"x": 47,
"y": 143,
"width": 610,
"height": 20,
"font_size": 9
},
"check_vendor_address": {
"id": "check-vendor-address",
"content": "vendor_address_block",
"x": 65,
"y": 169,
"width": 307,
"height": 90,
"font_size": 9
},
"check_record_memo": {
"id": "check-record-memo",
"content": "memo",
"x": 92,
"y": 253,
"width": 333,
"height": 20,
"font_size": 9
},
"check_number_top": {
"id": "check-number-top",
"content": "check_number",
"x": 697,
"y": 357,
"width": 66,
"height": 28,
"font_size": 9
},
"stub1_check_number": {
"id": "stub1-check-number",
"content": "check_number",
"x": 685,
"y": 575,
"width": 100,
"height": 20,
"font_size": 9
},
"stub1_date": {
"id": "stub1-date",
"content": "date",
"x": 74,
"y": 360,
"width": 107,
"height": 20,
"font_size": 9
},
"stub1_vendor": {
"id": "stub1-vendor",
"content": "vendor_name",
"x": 188,
"y": 360,
"width": 160,
"height": 20,
"font_size": 9
},
"stub1_record_number": {
"id": "stub1-record-number",
"content": "record_number",
"x": 229,
"y": 408,
"width": 133,
"height": 20,
"font_size": 9
},
"stub1_record_number_label": {
"id": "stub1-record-number-label",
"content": "Record number",
"x": 50,
"y": 408,
"width": 120,
"height": 20,
"font_size": 9
},
"stub1_amount_paid": {
"id": "stub1-amount-paid",
"content": "amount_paid",
"x": 587,
"y": 408,
"width": 67,
"height": 20,
"font_size": 9
},
"stub1_amount_paid_label": {
"id": "stub1-amount-paid-label",
"content": "Amount paid",
"x": 408,
"y": 408,
"width": 120,
"height": 20,
"font_size": 9
},
"stub1_record_date": {
"id": "stub1-record-date",
"content": "record_date",
"x": 229,
"y": 428,
"width": 133,
"height": 20,
"font_size": 9
},
"stub1_record_date_label": {
"id": "stub1-record-date-label",
"content": "Record date",
"x": 50,
"y": 428,
"width": 120,
"height": 20,
"font_size": 9
},
"stub1_amount_due": {
"id": "stub1-amount-due",
"content": "amount_due",
"x": 587,
"y": 428,
"width": 67,
"height": 20,
"font_size": 9
},
"stub1_amount_due_label": {
"id": "stub1-amount-due-label",
"content": "Amount due",
"x": 408,
"y": 428,
"width": 120,
"height": 20,
"font_size": 9
},
"stub1_memo": {
"id": "stub1-memo",
"content": "memo",
"x": 74,
"y": 610,
"width": 333,
"height": 20,
"font_size": 9
},
"stub1_amount_numeric": {
"id": "stub1-amount-numeric",
"content": "amount_numeric",
"x": 690,
"y": 610,
"width": 100,
"height": 20,
"font_size": 9
},
"stub1_check_number_bottom": {
"id": "stub1-check-number-bottom",
"content": "check_number",
"x": 697,
"y": 689,
"width": 66,
"height": 28,
"font_size": 9
},
"stub2_check_number": {
"id": "stub2-check-number",
"content": "check_number",
"x": 690,
"y": 946,
"width": 100,
"height": 20,
"font_size": 9
},
"stub2_date": {
"id": "stub2-date",
"content": "date",
"x": 74,
"y": 696,
"width": 107,
"height": 20,
"font_size": 9
},
"stub2_vendor": {
"id": "stub2-vendor",
"content": "vendor_name",
"x": 188,
"y": 696,
"width": 160,
"height": 20,
"font_size": 9
},
"stub2_record_number": {
"id": "stub2-record-number",
"content": "record_number",
"x": 229,
"y": 744,
"width": 133,
"height": 20,
"font_size": 9
},
"stub2_record_number_label": {
"id": "stub2-record-number-label",
"content": "Record number",
"x": 50,
"y": 744,
"width": 120,
"height": 20,
"font_size": 9
},
"stub2_amount_paid": {
"id": "stub2-amount-paid",
"content": "amount_paid",
"x": 587,
"y": 744,
"width": 67,
"height": 20,
"font_size": 9
},
"stub2_amount_paid_label": {
"id": "stub2-amount-paid-label",
"content": "Amount paid",
"x": 408,
"y": 744,
"width": 120,
"height": 20,
"font_size": 9
},
"stub2_record_date": {
"id": "stub2-record-date",
"content": "record_date",
"x": 229,
"y": 764,
"width": 133,
"height": 20,
"font_size": 9
},
"stub2_record_date_label": {
"id": "stub2-record-date-label",
"content": "Record date",
"x": 50,
"y": 764,
"width": 120,
"height": 20,
"font_size": 9
},
"stub2_amount_due": {
"id": "stub2-amount-due",
"content": "amount_due",
"x": 587,
"y": 764,
"width": 67,
"height": 20,
"font_size": 9
},
"stub2_amount_due_label": {
"id": "stub2-amount-due-label",
"content": "Amount due",
"x": 408,
"y": 764,
"width": 120,
"height": 20,
"font_size": 9
},
"stub2_memo": {
"id": "stub2-memo",
"content": "memo",
"x": 74,
"y": 981,
"width": 333,
"height": 20,
"font_size": 9
},
"stub2_amount_numeric": {
"id": "stub2-amount-numeric",
"content": "amount_numeric",
"x": 690,
"y": 981,
"width": 100,
"height": 20,
"font_size": 9
},
"stub2_check_number_bottom": {
"id": "stub2-check-number-bottom",
"content": "check_number",
"x": 697,
"y": 689,
"width": 66,
"height": 28,
"font_size": 9
}
},
"sample_data": {
"date": "<string>",
"vendor_name": "<string>",
"amount_numeric": "<string>",
"amount_alpha": "<string>",
"address_block": "<string>",
"check_number": "<string>",
"record_number": "<string>",
"amount_paid": "<string>",
"record_date": "<string>",
"amount_due": "<string>",
"memo": "<string>"
}
}
],
"count": 123
}Authorizations
Query Parameters
Number of records to return per page (capped at 100)
Required range:
x >= 1Number of records to skip before starting to return results
Required range:
x >= 0Was this page helpful?